import {Body, Controller, Get, Logger, Post} from "@nestjs/common";
import {FoodProductFootprintService} from "./foodProductFootprint.service";
import {FoodProductService} from "../foodProduct/foodProduct.service";
import {FoodProduct} from "../foodProduct/foodProduct.entity";
import {CreateFoodProductDto} from "../foodProduct/dto/create-foodProduct.dto";

@Controller("food-product-footprint")
export class FoodProductFootprintController {
  constructor(
    private readonly foodProductService: FoodProductService,
    private readonly foodProductFootprintService: FoodProductFootprintService,
  ) {}

  @Get()
  getFoodProductFootprint(): Promise<FoodProduct[]> {
    Logger.log(
      `[food-product-footprint] [GET] FoodProduct: getting all FoodProducts`
    );
    return this.foodProductService.findAll();
  }

  @Post()
  async createFoodProductFoodprint(
    @Body() foodProductDto: CreateFoodProductDto
  ): Promise<FoodProduct> {
    ``;
    Logger.log(
      `[food-product-footprint] [POST] FoodProduct: ${foodProductDto} created`
    );
    return this.foodProductFootprintService.computeAndSave(
			await this.foodProductService.initialize(foodProductDto)
    );
  }
}
