import {FoodProduct} from "../foodProduct/foodProduct.entity";
import {Injectable} from "@nestjs/common";

@Injectable()
export class FoodProductFootprintService
{
	constructor() {}

	/**
	 * Compute the carbon footprint of a food product from its ingredients and save it.
	 * @param foodProduct The food product for which to compute the carbon footprint.
	 */
	async computeAndSave(foodProduct: FoodProduct): Promise<FoodProduct>
	{
		foodProduct.computeFootprint();
		return foodProduct.save();
	}
}
